> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch tasks entity data

> Update the entity data of a task. Only tasks with status 'new' or 'failed' can be edited.



## OpenAPI

````yaml /schema.json patch /tasks/{identifier}/entity-data
openapi: 3.1.0
info:
  version: 01KXDE6Y09W1ENT20RF5HWNAE6
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /tasks/{identifier}/entity-data:
    patch:
      tags:
        - Tasks
      description: >-
        Update the entity data of a task. Only tasks with status 'new' or
        'failed' can be edited.
      operationId: updateTaskEntityData
      parameters:
        - name: identifier
          in: path
          description: Task identifier
          required: true
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - data
              properties:
                data:
                  type: object
                  description: The new entity data for the task.
      responses:
        '200':
          description: The updated entity data of the task.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
        default:
          description: Unexpected Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string

````